:root {
    --card-border-color: #dc3545;
    --save-button-color-1: #dc3545;
    --save-button-color-2: #c82333;
    --save-button-hover-shadow-color: rgba(220, 53, 69, 0.3);
    --save-button-hover-shadow-hover-color: rgba(220, 53, 69, 0.4);
    --cancel-button-color-1: #6c757d;
    --cancel-button-color-2: #5a6268;
    --cancel-button-hover-box-shadow-color: rgba(108, 117, 125, 0.3);
    --card-header-background: #f1aeaa;
    --card-header-text-color: maroon;
    --bs-card-spacer-x: 1.5rem;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

/*  navigation menu  */
.nav-scrollable {
    scrollbar-width: thin;
    scrollbar-color: rgba(248, 249, 250, 0.3) transparent;
}

    .nav-scrollable::-webkit-scrollbar {
        width: 6px;
    }

    .nav-scrollable::-webkit-scrollbar-track {
        background: transparent;
    }

    .nav-scrollable::-webkit-scrollbar-thumb {
        border-radius: 10px;
        background-color: rgba(248, 249, 250, 0.3);
    }

    .nav-scrollable::-webkit-scrollbar-thumb {
        width: 15px;
        background-color: rgba(248, 249, 250, 0.3);
    }

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.btn-save {
    border: none;
    padding: 10px 20px;
    border-radius: 25px;
    /*font-size: 1.1rem;*/
    transition: all 0.3s ease;
    box-shadow: 0 4px 15px var(--save-button-hover-shadow-color);
    background: linear-gradient(135deg, var(--save-button-color-1) 0%, var(--save-button-color-2) 100%);
    color: white;
}

    .btn-save:hover {
        transform: translateY(-2px);
        box-shadow: 0 6px 20px var(--save-button-hover-shadow-hover-color);
    }

.btn-reset {
    border: none;
    padding: 10px 20px;
    border-radius: 25px;
    /*font-size: 1.1rem;*/
    transition: all 0.3s ease;
    box-shadow: 0 4px 15px var(--cancel-button-hover-box-shadow-color);
    background: linear-gradient(135deg, var(--cancel-button-color-1) 0%, var(--cancel-button-color-2) 100%);
    color: white;
}

    .btn-reset:hover {
        transform: translateY(-2px);
        box-shadow: 0 6px 20px var(--cancel-button-hover-box-shadow-color);
    }

.card {
    background: white;
    border-radius: 15px;
    /*padding: 25px;*/
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
    /*border-left: 4px solid var(--card-border-color);*/
}

    .card:hover {
        transform: translateY(-5px);
        box-shadow: 0 15px 40px rgba(0, 0, 0, 0.15);
        transition: all 0.3s ease;
    }

.card-header {
    border: none;
    font-weight: normal;
    font-size: 18px;
    background-color: var(--card-header-background);
    color: var(--card-header-text-color);
}

.card-body {
}

.active > .page-link,
.page-link.active {
    border-color: var(--card-border-color);
    background-color: var(--card-border-color);
}

.tab-content {
    border-left: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
    border-right: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
    border-bottom: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
    padding: 1rem;
}

.nav-link {
    color: var(--card-header-text-color);
}

    .nav-link:hover {
        color: var(--card-header-text-color);
    }

.nav-tabs .nav-link.active {
    background-color: var(--card-header-background);
    color: var(--card-header-text-color);
}

/* Login Page */
.login-container {
    max-width: 400px;
    margin: 0 auto;
}

.logo {
    text-align: center;
    margin-bottom: 30px;
}

    .logo svg {
        width: 100px;
        height: 100px;
        fill: var(--card-border-color);
    }

footer {
    position: fixed;
    width: 100%;
    bottom: 0;
}

/*   Grid    */
.grid-date {
    width: 200px;
}

.grid-1-button {
    width: 100px;
}

/*  Loader  */
.loader {
    width: 50px;
    --b: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    padding: 1px;
    background: conic-gradient(#0000 10%,#f03355) content-box;
    -webkit-mask: repeating-conic-gradient(#0000 0deg,#000 1deg 20deg,#0000 21deg 36deg), radial-gradient(farthest-side,#0000 calc(100% - var(--b) - 1px),#000 calc(100% - var(--b)));
    -webkit-mask-composite: destination-in;
    mask-composite: intersect;
    animation: l4 1s infinite steps(10);
}

@keyframes l4 {
    to {
        transform: rotate(1turn)
    }
}

.no-bootstrap.form-control {
    width: 120px;
    display: inline;
    margin: 0rem 0.5rem;
}

.grid-booking-time {
    color: indianred;
    display: block;
}

/*  Full Calender   */
.fc-col-header {
    width: 100% !important;
}
